package app;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 * Created by Petr Flégl on 20.2.2017.
 */
@ManagedBean
@SessionScoped

public class MainFBean {
    public String getActivePage() {
        switch (activeTab){
            case 0:return "Overview.xhtml";
            case 1:return "Engine.xhtml";
            case 2:return "Biologyxhtml";
            case 3:return "Oil.xhtml";
            case 4:return "Electic.xhtml";
            case 5:return "Evidence.xhtml";
        }
        return activePage;
    }

    public void setActivePage(String activePage) {
        this.activePage = activePage;
    }

    String activePage = "Overview.xhtml";
    public int getActiveTab() {
        return activeTab;
    }

    public void setActiveTab(int activeTab) {
        this.activeTab = activeTab;
    }

    private int activeTab = 0;
}
